OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< ModifyOrderFlags > Struct Template Reference
Inheritance diagram for EnumPropsT< ModifyOrderFlags >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< ModifyOrderFlags, byte, MOF_NON_STOP, MOF_END, MOF_END, 4 >
typedef ModifyOrderFlags | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< ModifyOrderFlags, byte, MOF_NON_STOP, MOF_END, MOF_END, 4 >
static const ModifyOrderFlags | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const ModifyOrderFlags | end
| one after the last valid value (i.e. TRACKDIR_END)
static const ModifyOrderFlags | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< ModifyOrderFlags >

Definition at line 160 of file order_type.h.

The documentation for this struct was generated from the following file:

- src/order_type.h